Bug 228965 - NVDIMM support
Summary: NVDIMM support
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Konstantin Belousov
URL: https://kib.kiev.ua/kib/nvdimm.6.patch
Keywords:
Depends on:
Blocks: 228911
  Show dependency treegraph
 
Reported: 2018-06-12 16:54 UTC by Rodney W. Grimes
Modified: 2018-11-12 19:27 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodney W. Grimes freebsd_committer 2018-06-12 16:54:16 UTC
NVDIMM support
Comment 1 Conrad Meyer freebsd_committer 2018-06-12 17:53:00 UTC
NVDIMM-N, -F, -P?  Does the project own any -N or -P hardware in any of the labs?  I think kib committed (or posted a patch for) some partial support already.

What's left as far as basic support?  This general subject could encompass a ton of work; presumably we are not going to try and make e.g. filesystems NVDIMM-aware for 12.0.  Do we want to provide a separate vmem for each NVDIMM in 12?  Or some other abstraction?
Comment 2 Scott Lamons 2018-06-12 21:30:18 UTC
Regarding hardware we now have an HP Proliant Gen10 system with 2x16GB NVDIMM-N and 16GB of RDIMM for boot installed at OSU Open Source Lab (OSL).  I can provide access info for FreeBSD developers who would like to help test Kostik's patch and potentially contribute to the outgoing development.
Comment 3 Conrad Meyer freebsd_committer 2018-08-02 02:18:49 UTC
Where is kib's WIP patch located?
Comment 4 Konstantin Belousov freebsd_committer 2018-08-02 08:08:10 UTC
(In reply to Conrad Meyer from comment #3)
Current patch is at https://kib.kiev.ua/kib/nvdimm.6.patch
Comment 5 Conrad Meyer freebsd_committer 2018-08-02 23:02:07 UTC
(In reply to Konstantin Belousov from comment #4)
Thanks!
Comment 6 Ed Maste freebsd_committer 2018-11-12 19:27:40 UTC
The NVDIMM-related work intended to land in 12.0 is complete.